
Name:           python-django-evolution
Version:        2.4.1
Release:        %mkrel 1
Summary:        Schema evolution for Django

Group:          Development/Python
License:        BSD
URL:            https://github.com/beanbaginc/django-evolution
Source0:        https://github.com/beanbaginc/django-evolution/archive/refs/tags/release-%{version}.tar.gz
# Patches from Fedora
# Patch0001:      FED01-Disable-ez_setup-when-installing-by-RPM.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python)

%description
When you run ./manage.py syncdb, Django will look for any new models that
have been defined, and add a database table to represent those new models.
However, if you make a change to an existing model, ./manage.py syncdb will
not make any changes to the database.

This is where Django Evolution fits in. Django Evolution is an extension to
Django that allows you to track changes in your models over time, and to
update the database to reflect those changes.

%prep
%setup -q -n django-evolution-release-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files django_evolution
# Delete tests. They aren't useful in an installed system
rm -rf $RPM_BUILD_ROOT/%{python3_sitelib}/tests


%files -f %{pyproject_files}
%doc AUTHORS LICENSE NEWS docs/




%changelog
* Thu Jan 23 2025 papoteur <papoteur> 2.4.1-1.mga10
+ Revision: 2140883
- new version 2.4.1

* Wed Sep 19 2018 umeabot <umeabot> 0.7.6-4.mga7
+ Revision: 1274575
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Mon Dec 07 2015 philippem <philippem> 0.7.6-2.mga6
+ Revision: 908653
- clean BR, add requires python-django16

* Sun Dec 06 2015 philippem <philippem> 0.7.6-1.mga6
+ Revision: 908580
- update to 0.7.6

* Wed Oct 15 2014 umeabot <umeabot> 0.7.3-5.mga5
+ Revision: 751049
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 philippem <philippem> 0.7.3-4.mga5
+ Revision: 737769
- disable test
+ tv <tv>
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 philippem <philippem> 0.7.3-1.mga5
+ Revision: 661155
- update to 0.7.3

* Tue Jul 08 2014 philippem <philippem> 0.7.2-1.mga5
+ Revision: 650700
- update to 0.7.2
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.9-3.mga4
+ Revision: 543400
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.9-2.mga4
+ Revision: 498369
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.6.9-1.mga4
+ Revision: 472007
- update to 0.6.9

* Sun Jan 13 2013 umeabot <umeabot> 0.6.7-2.mga3
+ Revision: 378670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 0.6.7-1.mga3
+ Revision: 334331
- Update to 0.6.7

* Wed Nov 30 2011 philippem <philippem> 0.6.5-1.svnr212.1.mga2
+ Revision: 174579
- Update to 0.6.5

* Thu Jan 27 2011 ahmad <ahmad> 0.0-1.svnr164.3.mga1
+ Revision: 42369
- imported package python-django-evolution


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.0-1.svnr164.3mdv2011.0
+ Revision: 592234
- rebuild for python 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.0-1.svnr164.2mdv2010.0
+ Revision: 442095
- rebuild

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.0-1.svnr164.1mdv2009.1
+ Revision: 349679
- import python-django-evolution


